<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:replace="partials/head :: head"></head>
<body>
<div th:replace="partials/header :: section"></div>

<section class="hero is-light">
    <div class="hero-body">
        <div class="container">
            <div class="columns is-vcentered">
                <div class="column is-4 is-offset-4">
                    <h1 class="title">
                        Benutzer Registrieren
                    </h1>
                    <div class="box">
                        <form th:action="@{/registration}" th:object="${userForm}" method="post">
                            <div class="field">
                                <label class="label">Benutzername</label>
                                <p class="control has-icons-right">
                                    <input class="input"
                                           type="text"
                                           th:errorclass="is-danger"
                                           th:field="*{username}"
                                           placeholder="z.b. alex"
                                           value=""
                                    ></input>
                                    <span
                                            th:if="${#fields.hasErrors('username')}"
                                            class="icon is-small is-right"><i class="fa fa-warning"></i></span>
                                </p>
                                <p class="help is-danger"
                                   th:if="${#fields.hasErrors('username')}"
                                   th:errors="*{username}"></p>
                            </div>


                            <div class="field">
                                <label class="label">Passwort</label>
                                <p class="control has-icons-right">
                                    <input class="input"
                                           type="password"
                                           th:errorclass="is-danger"
                                           th:field="*{password}"
                                           placeholder="●●●●●●●"
                                           value="asdasdasd"
                                    ></input>
                                    <span
                                            th:if="${#fields.hasErrors('password')}"
                                            class="icon is-small is-right"><i class="fa fa-warning"></i></span>
                                </p>
                                <p class="help is-danger"
                                   th:if="${#fields.hasErrors('password')}" th:errors="*{password}">

                                </p>
                            </div>


                            <div class="field">
                                <label class="label">Passwort Wiederholen</label>
                                <p class="control has-icons-right">
                                    <input class="input"
                                           type="password"
                                           th:errorclass="is-danger"
                                           th:field="*{passwordConfirm}"
                                           placeholder="●●●●●●●"
                                           value="asdasdasd"
                                    ></input>
                                    <span
                                            th:if="${#fields.hasErrors('passwordConfirm')}"
                                            class="icon is-small is-right"><i class="fa fa-warning"></i></span>
                                </p>
                                <p class="help is-danger"
                                   th:if="${#fields.hasErrors('passwordConfirm')}"
                                   th:errors="*{passwordConfirm}"></p>
                            </div>
                            <hr></hr>
                            <p class="control">
                                <input type="submit" class="button is-primary" value="Registrieren"></input>
                                <a th:href="@{/}" class="button is-default">Abbrechen</a>
                            </p>
                        </form>
                    </div>
                    <p class="has-text-centered">
                        Schon registriert?<br></br>
                        <a class="button" href="/login"> zum Login </a>
                    </p>
                </div>
            </div>
        </div>
    </div>

</section>
</body>
</html>